#pragma once

//--------------------------------------------------------------
class Player
{
  public:
  Player()                                 = default;     // Default constructor
  virtual ~Player()                        = default;     // Default destructor
  Player(const Player &obj)                = delete;      // Copy constructor
  Player(Player &&obj) noexcept            = delete;      // Move constructor
  Player &operator=(const Player &obj)     = delete;      // Copy assignment operator
  Player &operator=(Player &&obj) noexcept = delete;      // Move assignment operator
};
//--------------------------------------------------------------
